{% extends 'base.html' %}
{% block title %}
    List of animals
{% endblock %}

{% block content %}
    <table>
    <style>
table, th, td {
  border: 1px solid black;
}

th, td {
  padding: 5px;
}
</style>
    <thead id="animals_table">
    <tr>
        <th>Nume animal</th>
        <th>Tip animal</th>
        <th>Age</th>
        <th>Actions</th>
    </tr>
    </thead>
    <tbody>
    {% for animal in all_animals %}
    <tr>
        <td>{{animal.nume_animal}}</td>
        <td>{{animal.tip_animal}}</td>
        <td>{{animal.age}}</td>
        <td>
            <a href="{% url 'update-animal' animal.id %}">Edit</a>
            <a href="{% url 'delete-animal' animal.id %}">Delete</a>
            <a href="{% url 'detail-animal' animal.id %}">Details</a>
        </td>

    </tr>
    {% endfor %}
    </tbody>
    </table>
{% endblock %}